force /xwr_sit5359_interface/clk_sys_i 0,1 8 ns -rep 16 ns
force /xwr_sit5359_interface/rst_n_i 0,1 64 ns

force /xwr_sit5359_interface/tm_dac_value_i 32768
force /xwr_sit5359_interface/tm_dac_value_wr_i 0

force /xwr_sit5359_interface/scl_pad_i H
force /xwr_sit5359_interface/sda_pad_i H

force /xwr_sit5359_interface/slave_i.cyc 0
force /xwr_sit5359_interface/slave_i.stb 0
force /xwr_sit5359_interface/slave_i.adr 0
force /xwr_sit5359_interface/slave_i.sel 0
force /xwr_sit5359_interface/slave_i.we 0
force /xwr_sit5359_interface/slave_i.dat 0

run 128 ns

# WR Adr 0 Control Reg: OSC_OE(1) - SPLL_EN(1) - CLK_DIV(8) - I2C_ADDR(8)
# I2C_ADDR = 1100010 (A0=0 WR:0xC4, RD:0xC5), 1101010 (A0=1 WR:0xD4, RD:0xD5)
force /xwr_sit5359_interface/slave_i.cyc 1,0 16 ns
force /xwr_sit5359_interface/slave_i.stb 1,0 16 ns
force /xwr_sit5359_interface/slave_i.we  1,0 16 ns
force /xwr_sit5359_interface/slave_i.adr 0
force /xwr_sit5359_interface/slave_i.dat 0x104C4
run 32 ns

# WR Adr 1 RFFREQ Reg
force /xwr_sit5359_interface/slave_i.cyc 1,0 16 ns
force /xwr_sit5359_interface/slave_i.stb 1,0 16 ns
force /xwr_sit5359_interface/slave_i.we  1,0 16 ns
force /xwr_sit5359_interface/slave_i.adr 4
force /xwr_sit5359_interface/slave_i.dat 0x55aa
run 32 ns

# RD Adr 0 Control Reg: OSC_OE(1) - SPLL_EN(1) - CLK_DIV(8) - I2C_ADDR(8)
force /xwr_sit5359_interface/slave_i.cyc 1,0 16 ns
force /xwr_sit5359_interface/slave_i.stb 1,0 16 ns
force /xwr_sit5359_interface/slave_i.we  0
force /xwr_sit5359_interface/slave_i.adr 0
force /xwr_sit5359_interface/slave_i.dat 0x0
run 32 ns

# RD Adr 1  RFFREQ Reg
force /xwr_sit5359_interface/slave_i.cyc 1,0 16 ns
force /xwr_sit5359_interface/slave_i.stb 1,0 16 ns
force /xwr_sit5359_interface/slave_i.we  0
force /xwr_sit5359_interface/slave_i.adr 4
force /xwr_sit5359_interface/slave_i.dat 0x0
run 128 ns

#force /xwr_sit5359_interface/tm_dac_value_i 0xaa12
#force /xwr_sit5359_interface/tm_dac_value_wr_i 1,0 16 ns
#run 128 ns

# 3000000 (7000000)
force /xwr_sit5359_interface/tm_dac_value_i 0x0000000
force /xwr_sit5359_interface/tm_dac_value_wr_i 1,0 16 ns
run 20.48 us

# 1FFFE00 (5FFFE00)
force /xwr_sit5359_interface/tm_dac_value_i 0x0007fff
force /xwr_sit5359_interface/tm_dac_value_wr_i 1,0 16 ns
run 20.48 us

# 000000 (4000000)
force /xwr_sit5359_interface/tm_dac_value_i 0x0008000
force /xwr_sit5359_interface/tm_dac_value_wr_i 1,0 16 ns
run 20.48 us

# 000200 (4000200)
force /xwr_sit5359_interface/tm_dac_value_i 0x0008001
force /xwr_sit5359_interface/tm_dac_value_wr_i 1,0 16 ns
run 20.48 us

# FFFE00 (4FFFE00)
force /xwr_sit5359_interface/tm_dac_value_i 0x000ffff
force /xwr_sit5359_interface/tm_dac_value_wr_i 1,0 16 ns
run 20.48 us


run 1024 ns




run 128 ns



